Subject: RE: bug#6256: 24.0.50; read-event in `repeat' command

From: "Drew Adams" <[email-masked]>
Date: Mon, 24 May 2010 09:28:36 -0700

> Is changing `read-event' to `read-char-exclusive' the proper 
> fix for this bug? It works for me.  If it is not the right fix,
> then what is?
> 
> If it is important for some use reason to keep `read-event', 
> and no fix is found that would DTRT to distinguish real user
> events from events such as `switch-frame', then could we at
> least use `(funcall repeat-read-function)' instead of
> `(read-event)', so that code that wants to be sensitive to
> only char events can bind `repeat-read-function' to 
> `read-char-exclusive' around the call to `repeat'?
> 
> The default value of such a var could be `read-event', if 
> that's deemed the best default, but we at least need some
> way to make `repeat' ignore non-char events
> (if we cannot find a way to make it ignore non-user events).

Actually, I think that using `read-char-exclusive' is the right fix. If the
action were initiated by a mouse event it is unlikely that the next event would
be the same mouse event, so repetition would not occur anyway.

Could you please make this fix: replace the unique occurrence of `read-event' by
`read-char-exclusive' in `repeat'. Thx.